Skip to main content
GET
/
api
/
v1
/
service-subscriptions
List all service subscriptions for the organization
curl --request GET \
  --url https://api.devhelm.io/api/v1/service-subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "name": "<string>",
      "adapterType": "<string>",
      "pollingIntervalSeconds": 123,
      "enabled": true,
      "subscribedAt": "2023-11-07T05:31:56Z",
      "category": "<string>",
      "officialStatusUrl": "<string>",
      "logoUrl": "<string>",
      "overallStatus": "<string>",
      "componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "component": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "externalId": "<string>",
        "name": "<string>",
        "status": "<string>",
        "showcase": true,
        "onlyShowIfDegraded": true,
        "lifecycleStatus": "<string>",
        "dataType": "full",
        "hasUptime": true,
        "displayAggregatedUptime": true,
        "firstSeenAt": "2023-11-07T05:31:56Z",
        "lastSeenAt": "2023-11-07T05:31:56Z",
        "isGroup": true,
        "description": "<string>",
        "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "position": 123,
        "startDate": "2023-11-07T05:31:56Z",
        "vendorCreatedAt": "2023-11-07T05:31:56Z",
        "region": "<string>",
        "groupName": "<string>",
        "childCount": 123,
        "uptime": {
          "source": "vendor_reported",
          "day": 99.95,
          "week": 99.98,
          "month": 99.92
        },
        "statusChangedAt": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "hasNext": true,
  "hasPrev": true,
  "totalElements": 123,
  "totalPages": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devhelm.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Response

OK

data
object[]
required
hasNext
boolean
required
hasPrev
boolean
required
totalElements
integer<int64> | null
totalPages
integer<int32> | null